<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <span class="fs-4">Mediscreen</span>
        </a>

        <ul class="nav nav-pills">
            <li class="nav-item"><a href="/" class="nav-link active" aria-current="page">Home</a></li>
            <li class="nav-item"><a href="/patients/" class="nav-link">Patients</a></li>
        </ul>
    </header>
</div>

<div class="container text-center">

    <div class="row">
        <h2>Add New Patient</h2>
    </div>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(ErrorPatientExistentMessage)}" th:text="${ErrorPatientExistentMessage}"></p>

    <div class="row">
        <form action="#" th:action="@{/patient/add}"  method="post" class="form-horizontal" style="width: 100%">
            <div class="form-group">
                <label for="given" class="control-label">Given Name</label>
                <div class="">
                    <input type="text" th:field="*{patientToCreate.given}" id="given" placeholder="Given Name" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.given')}" th:errors="*{patientToCreate.given}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="family" class="control-label">Family Name</label>
                <div class="">
                    <input type="text" th:field="*{patientToCreate.family}" id="family" placeholder="Family Name" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.family')}" th:errors="*{patientToCreate.family}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="birthdate" class="control-label">Birthdate</label>
                <div class="">
                    <input type="date" th:field="*{patientToCreate.dob}" id="dob" placeholder="dob" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.dob')}" th:errors="*{patientToCreate.dob}"></p>
                </div>
            </div>
            <div class="form-group">
                <div class="">
                    <select name="sex">
                        <option th:each="sex : ${T(com.mediscreen.patients.repository.SexENUM).values()}"
                                th:value="${sex}" th:text="${sex.displayValue}"></option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label for="address" class="control-label">Street</label>
                <div class="">
                    <input type="text" th:field="*{patientToCreate.address}" id="address" placeholder="street" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.address')}" th:errors="*{patientToCreate.address}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="emailAddress" class="control-label">Email Address</label>
                <div class="">
                    <input type="email" th:field="*{patientToCreate.emailAddress}" id="emailAddress" placeholder="emailAddress" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.emailAddress')}" th:errors="*{patientToCreate.emailAddress}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="phone" class="control-label">Phone Number</label>
                <div class="">
                    <input type="number" th:field="*{patientToCreate.phone}" id="phone" placeholder="phone" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patientToCreate.phone')}" th:errors="*{patientToCreate.phone}"></p>
                </div>
            </div>

            <div class="form-group">
                <div class="col-sm-12">
                    <a class="btn btn-danger btn-sm" href="/patients/">Cancel</a>
                    <input class="btn btn-primary btn-sm" type="submit" value="Add patient">
                </div>
            </div>

        </form>
    </div>

</div>
</body>
</html>